Subject: Re: Inetd question
From: "Rob" <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>
Date: Thu, 24 Jul 2003 15:19:54 -0400

Hi Xiaoqin,

I'm no expert, but here's what comes to mind...

1) what is the value of your CYGWIN environment variable?  If it's not
CYGWIN=NTSEC, then make this the case and then restart your computer (so the
setting will take effect in the windows service mangler).

2) how did you recreate the passwd and group files?  did you use -d to get
credentials for your domain account/groups, and then do it again (appending)
to get credentials for your local accounts/groups?

Rob

----- Original Message ----- 
From: <[email-masked]>
To: <[email-masked]>
Sent: Thursday, July 24, 2003 2:54 PM
Subject: Inetd question

> Hi,
>
> I installed the latest cygwin and inetd-1.3.23 on my W2K PC to my account
only recently. Initially after installation, I got id unknown error. But I
fixed it by checking the mailing list and changed my login ID in /etc/passwd
file to the it said unknown then I could run bash with no problem.
>
> However, when I tried to make inetd working so that I could telnet to this
PC, and encountered the following problems.
>
> 1) When I setup inetd running as a service using local system account, it
started with no error but when I telnet to it, I got "Connection refused"
error. I ran "ps -ef|grep inetd", UID showed up as 400 not SYSTEM. (SYSTEM
is using UID 18).
>
> 2) My account is a domain account but it is part of local admin group, so
I tried to start inetd service using my account. This time after the service
started successfully, I could get login prompt, however whatever password I
put in, I always got "Login incorrect" error.
>
> I tried recreating /etc/passwd, /etc/group files which was created
automatically by the installation, checking /etc/inetd.conf which has telnet
starting as root there. But I still got the same problem. I didn't find any
helpful log in the event log either.
>
> Anyone experienced the similar problem before?
>
> BTW, I didn't find syslogd on my cygwin installation. Which package is it
in?
>
> Thank you very much for your help!
>
> Xiaoqin Qiu
>
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Problem reports:       http://cygwin.com/problems.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/
>
>

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/